/*
 * [DecimalSpaces.java]
 *
 * Summary: Display a number in decimal with spaces between the groupings.
 *
 * Copyright: (c) 1999-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2005-09-26
 */
package com.mindprod.inwords;

/**
 * Display a number in decimal with spaces between the groupings.
 * <p/>
 * e.g.
 * -12345 -&gt; -12 345
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2005-09-26
 * @since 2005-09-26
 */
public final class DecimalSpaces extends DecimalBase implements ToWords
    {
    private static final int FIRST_COPYRIGHT_YEAR = 1999;

    /**
     * undisplayed copyright notice
     *
     * @noinspection UnusedDeclaration
     */
    private static final String EMBEDDED_COPYRIGHT =
            "Copyright: (c) 1999-2017 Roedy Green, Canadian Mind Products, http://mindprod.com";

    /**
     * test harness
     *
     * @param args not used
     */
    public static void main( String[] args )
        {
        Test.test( new DecimalSpaces(), null );
        } // end main

    /**
     * @inheritDoc
     */
    public String toWords( long num )
        {
        return super.toWords( num, ' ' );
        }
    } // end DecimalSpaces
